Create task
curl --request POST \
--url https://api.surefeedback.com/api/v1/boards/tasks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"site_id": "<string>",
"project_id": "<string>",
"content": "<string>",
"description": "<string>",
"page_url": "<string>",
"route": "<string>",
"status": "<string>",
"priority": "<string>",
"assigned_to": "<string>",
"device_type": "<string>",
"page_title": "<string>",
"category": "<string>",
"tags": [
{}
]
}
'import requests
url = "https://api.surefeedback.com/api/v1/boards/tasks"
payload = {
"site_id": "<string>",
"project_id": "<string>",
"content": "<string>",
"description": "<string>",
"page_url": "<string>",
"route": "<string>",
"status": "<string>",
"priority": "<string>",
"assigned_to": "<string>",
"device_type": "<string>",
"page_title": "<string>",
"category": "<string>",
"tags": [{}]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
site_id: '<string>',
project_id: '<string>',
content: '<string>',
description: '<string>',
page_url: '<string>',
route: '<string>',
status: '<string>',
priority: '<string>',
assigned_to: '<string>',
device_type: '<string>',
page_title: '<string>',
category: '<string>',
tags: [{}]
})
};
fetch('https://api.surefeedback.com/api/v1/boards/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Task created successfully",
"data": {
"id": "...",
"content": "Update hero section copy",
"status": "OPEN",
"priority": "HIGH"
}
}
Boards
Create task
Create a new task directly from the board.
POST
/
boards
/
tasks
Create task
Creates a new comment/task directly from the board view, without needing a widget session.
Request body
string
UUID of the site to create the task for.
string
UUID of the project to create the task in.
string
required
Task description.
string
Optional extended task description.
string
Full page URL. Default:
/.string
Route path. Default:
/.string
Task status. Default:
OPEN.string
Task priority:
LOW, MEDIUM, HIGH, or URGENT. Default: MEDIUM.string
UUID of the user to assign the task to.
string
Device type:
DESKTOP, MOBILE, or TABLET. Default: DESKTOP.string
Optional page title.
string
Optional category:
UI_FEEDBACK, BUG_REPORT, FEATURE_REQUEST, GENERAL, CONTENT, DESIGN, USABILITY, or PERFORMANCE.array
Optional array of string tags.
{
"success": true,
"message": "Task created successfully",
"data": {
"id": "...",
"content": "Update hero section copy",
"status": "OPEN",
"priority": "HIGH"
}
}
Was this page helpful?
⌘I